<template>
	<div v-if="loading" class="text-center">
		<h4>Loading...</h4>
	</div>
	<div v-else>
		<v-stepper class="n-step-box" v-model="currentStep">
			<v-stepper-header class="n-step-header" >
				<div class="n-step-header-content">
					<v-layout row wrap>
						<v-flex xs4>
							<v-stepper-step step="1" class="n-step" :editable="true">Client Information</v-stepper-step>
						</v-flex>

						<v-flex xs4>
							<v-stepper-step step="2" class="n-step" :editable="true">Campaign Information</v-stepper-step>
						</v-flex>

						<v-flex xs4>
							<v-stepper-step step="3" class="n-step" :editable="true">Media</v-stepper-step>
						</v-flex>
					</v-layout>
				</div>
			</v-stepper-header>

			<v-stepper-items>
				<v-stepper-content  class="n-step-content-box" step="1">
					<client v-bind="formData" @cancel="onCancel" @saved="onSaved"/>
				</v-stepper-content>

				<v-stepper-content class="n-step-content-box" step="2">
					<campaign v-if="currentStep == 2" v-bind="formData" @cancel="onCancel"/>
				</v-stepper-content>

				<v-stepper-content step="3">
					<media v-if="currentStep == 3" v-bind="formData" @cancel="onCancel"/>
				</v-stepper-content>
			</v-stepper-items>
		</v-stepper>
		<div class="text-xs-center">
			<mc-dialog-confirm :open="isConfirm" :message="confirmMessage" @yes="doConfirm" @no="closeConfirm"></mc-dialog-confirm>
		</div>
	</div>
</template>

<script src="./Edition.js"></script>
